metadata:
  name: apparmor
  format: "Apertis Test Definition 1.0"
  image-types:
    minimal: [ armhf-internal, armhf, arm64, amd64 ]
    target:  [ armhf-internal, amd64 ]
    basesdk: [ amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
    - OSTree
  type: functional
  exec-type: automated
  priority: critical
  maintainer: "Apertis Project"
  description: "Security infrastructure: checking that AppArmor is available in
                the kernel and active is part of strategic application and
                services confinement."

  expected:
    - "The apparmor.sh script should return 0. The return value indicates the
       number of tests which failed. The ouput should be similar to the following
       example:"
    - |
        >access.sh: PASSED - /tmp/sdtest.4283-31579-rMuWBs
        capabilities.sh: FAILED - /tmp/sdtest.4548-350-UPHWk3
    - "Although extraneous lines might been shown in case of error or for debug.
       Those won't interfere with the test parser."

  notes:
    - "Make sure that you have disconnect the ethernet connection to the target
       before you start the tethering process."
    - "This testcase groups upstream developed tests mostly and therefore it's not
       runnning any Apertis specific test."

install:
  git-repos:
    - url: https://gitlab.apertis.org/tests/apparmor.git
      branch: master

run:
  steps:
    - "# Enter test directory:"
    - cd apparmor
    - "# Execute the following command:"
    - common/run-test-in-systemd --basename --timeout 3000 ./apparmor.sh
  
parse:
  fixupdict:
    FAILED: fail
    PASSED: pass
    SKIP: skip
  pattern: ^(?P<test_case_id>.+)\.sh:\s*(?P<result>PASSED|FAILED|SKIP)\s*-.*
